For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsDashboardAPI ReferenceFAQ
DocsDashboardAPI ReferenceFAQ
  • Overview
    • Welcome
    • How Does Mertani Work?
    • Integration Method
    • Authentication
    • Struktur Data
    • Daftar Sensor ID
  • External API
    • GETGet list devices
    • GETGet device sensor data
  • Webhook API
    • POSTReceive Sensor Data
Dashboard
LogoLogo
External API

Get list devices

||View as Markdown|
GET
https://app.mertani.co.id/external/v1/devices
GET
/external/v1/devices
$curl https://app.mertani.co.id/external/v1/devices \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
200Retrieved
1{
2 "status": true,
3 "data": [
4 {
5 "device_id": "dev-9876543210",
6 "name": "Soil Moisture Sensor A1",
7 "type": "sensor",
8 "lat": -6.914744,
9 "long": 107.60981
10 }
11 ]
12}
Was this page helpful?
Previous

Daftar Sensor

Next

Get device sensor data

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Response

Success
statusboolean
datalist of objects